<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sat Jun 11 22:07:23 CEST 2022 -->
<title>P-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-11">
<meta name="description" content="index: P">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../ihm.javafx/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><a href="../ihm.javafx/back/parsage/parser/Parser.html#parser(java.lang.String)" class="member-name-link">parser(String)</a> - Method in class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/Parser.html" title="class in back.parsage.parser">Parser</a></dt>
<dd>
<div class="block">Parse une ligne.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteChangementDeSens.html#parser(java.lang.String)" class="member-name-link">parser(String)</a> - Method in class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCarteChangementDeSens.html" title="class in back.parsage.parser">ParserCarteChangementDeSens</a></dt>
<dd>
<div class="block">Cree une carte changement de sens et l'ajoute a la pioche de la partie.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteCouleur.html#parser(java.lang.String)" class="member-name-link">parser(String)</a> - Method in class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCarteCouleur.html" title="class in back.parsage.parser">ParserCarteCouleur</a></dt>
<dd>
<div class="block">Cree une carte couleur et l'ajoute a la pioche.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePasser.html#parser(java.lang.String)" class="member-name-link">parser(String)</a> - Method in class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCartePasser.html" title="class in back.parsage.parser">ParserCartePasser</a></dt>
<dd>
<div class="block">Cree une carte passer et l'ajoute a la pioche.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePlus2.html#parser(java.lang.String)" class="member-name-link">parser(String)</a> - Method in class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCartePlus2.html" title="class in back.parsage.parser">ParserCartePlus2</a></dt>
<dd>
<div class="block">Cree une carte plus 2 et l'ajoute a la pioche.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePlus4.html#parser(java.lang.String)" class="member-name-link">parser(String)</a> - Method in class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCartePlus4.html" title="class in back.parsage.parser">ParserCartePlus4</a></dt>
<dd>
<div class="block">Cree une carte plus 4 et l'ajoute a la pioche.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteSimple.html#parser(java.lang.String)" class="member-name-link">parser(String)</a> - Method in class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCarteSimple.html" title="class in back.parsage.parser">ParserCarteSimple</a></dt>
<dd>
<div class="block">Cree une carte simple et l'ajoute a la pioche.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/Parser.html" class="type-name-link" title="class in back.parsage.parser">Parser</a> - Class in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>
<div class="block">Classe (abstraite) du parser.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/Parser.html#%3Cinit%3E(back.parsage.parser.Parser)" class="member-name-link">Parser(Parser)</a> - Constructor for class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/Parser.html" title="class in back.parsage.parser">Parser</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteChangementDeSens.html" class="type-name-link" title="class in back.parsage.parser">ParserCarteChangementDeSens</a> - Class in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>
<div class="block">Classe reprensentant le parser d'une carte changement de sens</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteChangementDeSens.html#%3Cinit%3E(back.parsage.parser.Parser)" class="member-name-link">ParserCarteChangementDeSens(Parser)</a> - Constructor for class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCarteChangementDeSens.html" title="class in back.parsage.parser">ParserCarteChangementDeSens</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteCouleur.html" class="type-name-link" title="class in back.parsage.parser">ParserCarteCouleur</a> - Class in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>
<div class="block">Classe reprensentant le parser d'une carte couleur.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteCouleur.html#%3Cinit%3E(back.parsage.parser.Parser)" class="member-name-link">ParserCarteCouleur(Parser)</a> - Constructor for class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCarteCouleur.html" title="class in back.parsage.parser">ParserCarteCouleur</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePasser.html" class="type-name-link" title="class in back.parsage.parser">ParserCartePasser</a> - Class in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>
<div class="block">Classe reprensentant le parser d'une carte passer.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePasser.html#%3Cinit%3E(back.parsage.parser.Parser)" class="member-name-link">ParserCartePasser(Parser)</a> - Constructor for class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCartePasser.html" title="class in back.parsage.parser">ParserCartePasser</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePlus2.html" class="type-name-link" title="class in back.parsage.parser">ParserCartePlus2</a> - Class in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>
<div class="block">Classe reprensentant le parser d'une carte plus 2.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePlus2.html#%3Cinit%3E(back.parsage.parser.Parser)" class="member-name-link">ParserCartePlus2(Parser)</a> - Constructor for class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCartePlus2.html" title="class in back.parsage.parser">ParserCartePlus2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePlus4.html" class="type-name-link" title="class in back.parsage.parser">ParserCartePlus4</a> - Class in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>
<div class="block">Classe reprensentant le parser d'une carte plus 4.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCartePlus4.html#%3Cinit%3E(back.parsage.parser.Parser)" class="member-name-link">ParserCartePlus4(Parser)</a> - Constructor for class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCartePlus4.html" title="class in back.parsage.parser">ParserCartePlus4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteSimple.html" class="type-name-link" title="class in back.parsage.parser">ParserCarteSimple</a> - Class in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>
<div class="block">Classe reprensentant le parser d'une carte simple.</div>
</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserCarteSimple.html#%3Cinit%3E(back.parsage.parser.Parser)" class="member-name-link">ParserCarteSimple(Parser)</a> - Constructor for class back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserCarteSimple.html" title="class in back.parsage.parser">ParserCarteSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserManquantException.html" class="type-name-link" title="class in back.parsage.parser">ParserManquantException</a> - Exception in <a href="../ihm.javafx/back/parsage/parser/package-summary.html">back.parsage.parser</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ihm.javafx/back/parsage/parser/ParserManquantException.html#%3Cinit%3E(java.lang.String)" class="member-name-link">ParserManquantException(String)</a> - Constructor for exception back.parsage.parser.<a href="../ihm.javafx/back/parsage/parser/ParserManquantException.html" title="class in back.parsage.parser">ParserManquantException</a></dt>
<dd>
<div class="block">Constructeur.</div>
</dd>
<dt><a href="../ihm.javafx/back/partie/Partie.html" class="type-name-link" title="class in back.partie">Partie</a> - Class in <a href="../ihm.javafx/back/partie/package-summary.html">back.partie</a></dt>
<dd>
<div class="block">Classe (singleton) representant une partie.</div>
</dd>
<dt><a href="../ihm.javafx/back/partie/Partie.html#%3Cinit%3E()" class="member-name-link">Partie()</a> - Constructor for class back.partie.<a href="../ihm.javafx/back/partie/Partie.html" title="class in back.partie">Partie</a></dt>
<dd>
<div class="block">Constructeur par defaut d'une partie.</div>
</dd>
<dt><a href="../ihm.javafx/back/partie/Partie.html#%3Cinit%3E(java.util.ArrayList,java.util.ArrayList,back.regles.Regles)" class="member-name-link">Partie(ArrayList&lt;Carte&gt;, ArrayList&lt;Joueur&gt;, Regles)</a> - Constructor for class back.partie.<a href="../ihm.javafx/back/partie/Partie.html" title="class in back.partie">Partie</a></dt>
<dd>
<div class="block">Constructeur d'une partie avec la pioche, les joueurs et les regles.</div>
</dd>
<dt><a href="../ihm.javafx/back/joueur/Joueur.html#pioche()" class="member-name-link">pioche()</a> - Method in class back.joueur.<a href="../ihm.javafx/back/joueur/Joueur.html" title="class in back.joueur">Joueur</a></dt>
<dd>
<div class="block">Le joueur pioche une carte dans la pioche de la partie.</div>
</dd>
<dt><a href="../ihm.javafx/back/partie/Partie.html#pioche()" class="member-name-link">pioche()</a> - Method in class back.partie.<a href="../ihm.javafx/back/partie/Partie.html" title="class in back.partie">Partie</a></dt>
<dd>
<div class="block">Renvoie la carte au sommet de la pioche.</div>
</dd>
<dt><a href="../ihm.javafx/back/joueur/Joueur.html#piochePunition()" class="member-name-link">piochePunition()</a> - Method in class back.joueur.<a href="../ihm.javafx/back/joueur/Joueur.html" title="class in back.joueur">Joueur</a></dt>
<dd>
<div class="block">Methode appelee lorsque le joueur a une punition suite a un non respect
 des regles, par ce fait les controles de la mÃ©thode @pioche ne sont pas appliquees.</div>
</dd>
<dt><a href="../ihm.javafx/back/joueur/Joueur.html#poser(back.carte.Carte)" class="member-name-link">poser(Carte)</a> - Method in class back.joueur.<a href="../ihm.javafx/back/joueur/Joueur.html" title="class in back.joueur">Joueur</a></dt>
<dd>
<div class="block">Dans un premier temps, on effectue des tests pour savoir si le joueur a le droit de jouer
 s'il n'a pas le droit une exception est lancee et le joueur sera puni</div>
</dd>
<dt><a href="../ihm.javafx/back/partie/Partie.html#poser(back.carte.Carte)" class="member-name-link">poser(Carte)</a> - Method in class back.partie.<a href="../ihm.javafx/back/partie/Partie.html" title="class in back.partie">Partie</a></dt>
<dd>
<div class="block">Pose une carte au sommet du tas.</div>
</dd>
<dt><a href="../ihm.javafx/back/joueur/Joueur.html#poser(back.carte.Carte,back.carte.Couleur)" class="member-name-link">poser(Carte, Couleur)</a> - Method in class back.joueur.<a href="../ihm.javafx/back/joueur/Joueur.html" title="class in back.joueur">Joueur</a></dt>
<dd>
<div class="block">Dans un premier temps, on effectue des tests pour savoir si le joueur a le droit de jouer
 s'il n'a pas le droit une exception est lancÃ©e et le joueur sera puni</div>
</dd>
<dt><a href="../ihm.javafx/back/exception/CoupInterditException.html#punirJoueur()" class="member-name-link">punirJoueur()</a> - Method in exception back.exception.<a href="../ihm.javafx/back/exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></dt>
<dd>
<div class="block">Methode qui puni un joueur qui a lancÃ© une CoupInterditException.</div>
</dd>
<dt><a href="../ihm.javafx/back/exception/TourException.html#punirJoueur()" class="member-name-link">punirJoueur()</a> - Method in exception back.exception.<a href="../ihm.javafx/back/exception/TourException.html" title="class in back.exception">TourException</a></dt>
<dd>
<div class="block">Methode qui puni un joueur qui a lancÃ© une TourException.</div>
</dd>
<dt><a href="../ihm.javafx/back/exception/UnoException.html#punirJoueur()" class="member-name-link">punirJoueur()</a> - Method in exception back.exception.<a href="../ihm.javafx/back/exception/UnoException.html" title="class in back.exception">UnoException</a></dt>
<dd>
<div class="block">Methode qui puni un joueur qui a lancÃ© une UnoException.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
